Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 560482 - Remove x11-wm/matchbox and dependencies
Summary: Remove x11-wm/matchbox and dependencies
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: GPE Desktop Herd
URL:
Whiteboard: Pending removal: 2016-02-06
Keywords: PMASKED
Depends on:
Blocks: EAPI1Removal
  Show dependency tree
 
Reported: 2015-09-14 17:18 UTC by Manuel Rüger (RETIRED)
Modified: 2016-02-20 17:56 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Rüger (RETIRED) gentoo-dev 2015-09-14 17:18:47 UTC
x11-libs/libmatchbox (1.9-r1): The Matchbox Library
x11-misc/matchbox-keyboard (0.1): Matchbox-keyboard is an on screen 'virtual' or 'software' keyboard
x11-misc/matchbox-panel-manager (0.1): Matchbox panel configuration utility
x11-plugins/matchbox-applet-input-manager (0.6): Matchbox panel tray app for managing software input methods
x11-plugins/matchbox-applet-startup-monitor (0.1): Startup notification matchbox panel tray app
x11-plugins/matchbox-applet-volume (0.1): Matchbox panel tray app for controlling volume levels
x11-plugins/matchbox-desktop-image-browser (0.2-r1): An alpha-ish image browser plug in for matchbox-desktop
x11-plugins/matchbox-desktop-xine (0.4): A matchbox-desktop plugin that allows you to browse and play media
x11-themes/matchbox-themes-extra (0.3): Extra themes for the matchbox window manager
x11-wm/matchbox (1.0): Light weight WM designed for use on PDA computers
x11-wm/matchbox-common (0.9.1-r2): Common files used by matchbox-panel and matchbox-desktop packages
x11-wm/matchbox-desktop (0.9.1): The Matchbox Desktop
x11-wm/matchbox-panel (0.9.3-r1): The Matchbox Panel
x11-wm/matchbox-window-manager (1.2-r1): Light weight WM designed for use on PDA computers


Those packages were meant to use on a PDA, no upsteam commits to git since 3 years to most project parts. No releases. Build failure bugs in this bugzilla (bug #514130,bug #514832).

Can we mask it for removal?
Comment 1 Christopher Head 2016-01-10 20:00:54 UTC
Delete it if you wish, but x11-misc/matchbox-keyboard is also useful on a convertible tablet PC for keyboard entry while in tablet mode and, AFAICT, builds and works fine (I use it regularly, but of course haven’t recompiled it for quite a while as there haven’t been new versions).
Comment 2 popham 2016-01-30 09:21:11 UTC
x11-misc/matchbox-keyboard does not require x11-wm/matchbox.  Its ebuild is EAPI=2, so its not a blocker of https://bugs.gentoo.org/show_bug.cgi?id=512122.  Please let it stay!

I've recently been cross-compiling for a Raspberry Pi, and I like matchbox-keyboard under my constraints:
* gtk3 without gobject introspection and
* cross-compilation with host=x86_64... and build=armv7a....

It's the only keyboard that works for me without revision:
* xvkbd uses imake, so is no good for cross-compiling;
* caribou requires gobject introspection (and pulls in python), so my constraints eliminate it; and
* xkbd fails to cross-compile (and its upstream hasn't changed since ~2005).

I've used matchbox-keyboard in the past and it still works just fine.  Further, I've just successfully cross-compiled it under every permutation of its use-flags without any revision (under my revised environment: https://bugs.gentoo.org/show_bug.cgi?id=572038).  (It does generate a QA warning--identical to xkbd--but I'll happily submit a patch for that.)
Comment 3 popham 2016-01-30 10:21:49 UTC
I've got a patch in queue for the QA warnings on x11-misc/matchbox-keyboard:  https://bugs.gentoo.org/show_bug.cgi?id=434704#c1.
Comment 4 popham 2016-01-30 18:46:48 UTC
Here's a commit log that demonstrates that x11-misc/matchbox-keyboard is not part of the "no upsteam commits to git since 3 years to most project parts" category:  http://git.yoctoproject.org/cgit/cgit.cgi/matchbox-keyboard/log/.

* 12 days | config-parser: Use matching printf format
* 2014-06-15 | Revert "MbGtkKeyboard: ensure correct backbuffer setup for map->unmap->map se...
* 2014-06-15 | MBKeyboardUI: ensure correct backing pixmap on map events
...

(The newest version snapshot was 08-May-2012: http://downloads.yoctoproject.org/releases/matchbox/matchbox-keyboard/0.1/)
Comment 5 Manuel Rüger (RETIRED) gentoo-dev 2016-02-06 15:53:08 UTC
(In reply to popham from comment #4)
Are you willing to maintain matchbox-keyboard?
Comment 6 popham 2016-02-08 10:55:44 UTC
Sure.  I was thinking of offering, but there's currently no backlog.  There's the unresolved QA stuff, but otherwise no open issues that I could find (and fixing it would probably cause more harm than good).

At any rate, I understand that this would fall under https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers.  Sign me up.
Comment 7 Ian Delaney (RETIRED) gentoo-dev 2016-02-08 14:44:22 UTC
(In reply to popham from comment #6)
> Sure.  I was thinking of offering, but there's currently no backlog. 
> There's the unresolved QA stuff, but otherwise no open issues that I could
> find (and fixing it would probably cause more harm than good).
> 
> At any rate, I understand that this would fall under
> https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers.  Sign me up.

It's not quite a signup process.  I suggest you join the channel in irc called #gentoo-proxy-maint and begin discussions.
Comment 8 popham 2016-02-11 00:49:17 UTC
Okay, regarding x11-misc/matchbox-keyboard I went through an audit on the proxy maintainers IRC channel.  The resulting patch is at https://bugs.gentoo.org/show_bug.cgi?id=434704#c3; it fixes QA warnings--the only unresolved bug associated with matchbox-keyboard.  I'm okay with assuming maintainership and IRC seemed fine with it (wraeth and idella4).

There's tension between resolving the QA warnings, https://bugs.gentoo.org/show_bug.cgi?id=434704#c1, and possibly breaking integration with the remainder of matchbox.  To resolve the QA warnings I had to change a couple categories in matchbox-keyboard's .desktop file.  This will probably change the desktop menu of some matchbox desktop environments.  I do not anticipate any other problems associated with the patch, but I cannot say for certain.

If the remainder of matchbox gets removed, then I believe that the patch is fine as-is.  If the remainder of matchbox were to remain, then I'm still pretty sure that the patch is fine as-is.  At any rate, I volunteer to patch up any resulting bugs.

According to one of my hosts on IRC:  "This is a batch of 11 packages commonly tied by a decision of at least 2 long established devs to purge from portage as apart of a legitimate exercise to tree clean what needs tree cleaning.  It therefore needs a threshold of acceptability way above the norm before I would consider attaching any name to the package in metadata."  I'm confused:  who has the authority to restore matchbox-keyboard to active-status?  I'm willing to maintain this package.
Comment 9 Ian Delaney (RETIRED) gentoo-dev 2016-02-11 16:21:08 UTC
Well that is a quote from my text. We covered this more in irc anyway. The resurrection / unmasking of this package need be co-ordinated with the devs who pmasked it and set them for purging.  You will eventually co-ordinate with them in irc I suspect.
Comment 10 Pacho Ramos gentoo-dev 2016-02-20 17:56:00 UTC
all but matchbox-keyboard removed